com.holonplatform.datastore.jdbc.spring

## Interface SpringJdbcDatastore

- All Superinterfaces:
    com.holonplatform.core.datastore.DataContextBound, com.holonplatform.core.datastore.Datastore, com.holonplatform.core.datastore.DatastoreCommodityRegistrar<JdbcDatastoreCommodityContext>, com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport, JdbcDatastore, Serializable

      public interface SpringJdbcDatastore
      extends JdbcDatastore

  Spring-enabled `JdbcDatastore`.

  Supports `DatastoreResolver` and `DatastoreCommodityFactory` annotated beans automatic registration.

  Since:
    5.0.0

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface com.holonplatform.datastore.jdbc.JdbcDatastore

      `JdbcDatastore.Builder<D extends JdbcDatastore>, JdbcDatastore.ConnectionOperation<R>`

    - ### Nested classes/interfaces inherited from interface com.holonplatform.core.datastore.Datastore

      `com.holonplatform.core.datastore.Datastore.OperationResult, com.holonplatform.core.datastore.Datastore.OperationType, com.holonplatform.core.datastore.Datastore.WriteOption`

  - ### Method Summary

    All Methods Static Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `static JdbcDatastore.Builder<SpringJdbcDatastore>` | `builder()` Get a builder to create a `SpringJdbcDatastore` instance.

    - ### Methods inherited from interface com.holonplatform.datastore.jdbc.JdbcDatastore

      `withConnection`

    - ### Methods inherited from interface com.holonplatform.core.datastore.Datastore

      `bulkDelete, bulkInsert, bulkUpdate, create, delete, getAvailableCommodities, insert, query, refresh, save, update`

    - ### Methods inherited from interface com.holonplatform.core.ExpressionResolver.ExpressionResolverSupport

      `addExpressionResolver, getExpressionResolvers, removeExpressionResolver`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DataContextBound

      `getDataContextId`

    - ### Methods inherited from interface com.holonplatform.core.datastore.DatastoreCommodityRegistrar

      `getCommodityFactoryType, registerCommodity`

- - ### Method Detail

    - #### builder

          static JdbcDatastore.Builder<SpringJdbcDatastore> builder()

      Get a builder to create a `SpringJdbcDatastore` instance.
      Specified by:
        `builder` in interface `JdbcDatastore`
      Returns:
        Datastore builder

Copyright © 2017 The Holon Platform. All rights reserved.